Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.runtime
Class ConfigurationConnector

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.runtime.DataSourceConnector
            |
            +--com.solarmetric.kodo.impl.jdbc.runtime.ConfigurationConnector

All Implemented Interfaces:
  Connector

public class ConfigurationConnector
extends DataSourceConnector

A Connector that uses a `ConfigurationConnector.AbstractConnectionFactoryConfiguration` object to create a `Connection`.

Important: This class should only be used in cases where we do not have a `PersistenceManager` to use for authentication information (e.g., in main() methods).

Since:
  2.4

Inner Class Summary
`static class` | `ConfigurationConnector.AbstractConnectionFactoryConfiguration` An abstract `ConnectionFactoryConfiguration` that can be instantiated with values from a `JDBCConfiguration` configuration.

Constructor Summary
`ConfigurationConnector(ConnectionFactoryConfiguration config, JDBCConfiguration jdbc, ClassResolver resolver)`
`ConfigurationConnector(JDBCConfiguration config)` Instantiate a `ConfigurationConnector` used the connection values from the `JDBCConfiguration`.
`ConfigurationConnector(JDBCConfiguration config, ClassResolver resolver, boolean connectionFactory2)` Instantiate the connector using the values from the specified `config`.

Method Summary
`static javax.sql.DataSource` | `createConnectionFactory(ConnectionFactoryConfiguration conf, ClassResolver resolver)`
`static ConnectionFactoryConfiguration` | `getConnectionConfiguration(JDBCConfiguration base, boolean connectionFactory2)`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.runtime.DataSourceConnector
`equals, getConnection, getDataSource, hashCode, toString`

Methods inherited from class java.lang.Object
`, clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationConnector

    public ConfigurationConnector(JDBCConfiguration config)

  Instantiate a `ConfigurationConnector` used the connection values from the `JDBCConfiguration`.

### ConfigurationConnector

    public ConfigurationConnector(JDBCConfiguration config,
                                  ClassResolver resolver,
                                  boolean connectionFactory2)

  Instantiate the connector using the values from the specified `config`.
  Parameters:
    `config` - the configuration that provided the connection info
    `resolver` - the resolved to use for loading the driver, if necessary.
    `connectionFactory2` - if `true`, then information in the ConnectionFactory2Properties property will override default values in the `config`.

### ConfigurationConnector

    public ConfigurationConnector(ConnectionFactoryConfiguration config,
                                  JDBCConfiguration jdbc,
                                  ClassResolver resolver)

Method Detail

### getConnectionConfiguration

    public static ConnectionFactoryConfiguration getConnectionConfiguration(JDBCConfiguration base,
                                                                            boolean connectionFactory2)

### createConnectionFactory

    public static javax.sql.DataSource createConnectionFactory(ConnectionFactoryConfiguration conf,
                                                               ClassResolver resolver)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.